%define qtdir /usr/lib/qt3
%define objprelink 1
%define libsndfile_ver %(rpm -qf --queryformat '%{NAME} >= %{VERSION}' /usr/lib/libsndfile.so.?.?.?)

%define beta pre2
Name: muse
Version: 0.6.0
Release: alt0.3.%beta

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Summary: MIDI/Audio sequencer and editor
License: GPL
Group: Sound
Url: http://muse.seh.de
Source: %url/%name-%version%beta.tar.bz2
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

Patch: %name-0.4.14-include.patch
Patch1: %name-0.4.14-make.inc.patch
Patch2: %name-0.4.14-makefile.patch
Patch3: %name-0.4.14-seq.patch

Requires: givertcap, %libsndfile_ver

# Automatically added by buildreq on Tue Sep 17 2002
#BuildRequires: XFree86-devel XFree86-libs docbook-dtds freetype2 gcc-c++ graphviz libGLU libalsa2-devel libcups libiiwusynth-devel libjpeg liblcms libmng libncurses-devel libqt3-devel libreadline-devel libsndfile-devel libssl libstdc++-devel openjade pkgconfig qt3-designer sgml-common xml-common objprelink

BuildRequires: XFree86-devel XFree86-libs docbook-dtds freetype2
BuildRequires: gcc-c++ graphviz libGLU libalsa2-devel libcups libiiwusynth-devel
BuildRequires: libjpeg liblcms libmng libncurses-devel libqt3-devel libreadline-devel
BuildRequires: libsndfile-devel libssl libstdc++-devel openjade
BuildRequires: pkgconfig qt3-designer sgml-common xml-common
%if %objprelink
BuildRequires: objprelink
%endif

%description
MusE is a MIDI sequencer with recording and editing capabilities.
This is a last version which works with Qt library.

%prep
%setup -q -n %name-%version%beta
#%patch -p1
#%patch1 -p1
#%patch2 -p1
#%patch3 -p1

%build
export QTDIR=%qtdir
%configure \
	--disable-rpath \
	--enable-shared \
	--disable-static \
	--disable-qttest \
	--disable-suid-build \
	--disable-suid-install \
	--enable-optimize \
	--enable-arch=%_target_cpu \
	--disable-rtcap \
	--with-iiwusynth


%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install

# menu
mkdir -p %buildroot/%_menudir
%__cat <<EOF >%buildroot/%_menudir/%name
?package(%name): needs="x11" section="Multimedia/%group" title="MusE" \
longtitle="Midi/audio editor" command="%_bindir/muse" icon="%name.xpm"
EOF

# icons
%__install -pD -m644 %SOURCE1 %buildroot%_liconsdir/%name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_miconsdir/%name.xpm

%define docdir %buildroot/%_docdir/%name-%version
%__mkdir_p %docdir/{html,demos}
%__cp -f   demos/* %docdir/demos
%__rm -f   %docdir/demos/Makefile*
%__ln_s ../doc/%name-%version/demos %buildroot/%_datadir/%name/demos
#
%__mv -f   %buildroot/%_datadir/%name/html/* %docdir/html
%__rm -rf  %buildroot/%_datadir/%name/html
%__ln_s ../doc/%name-%version/html %buildroot/%_datadir/%name/html
%__cp -f   README README.de README.softsynth COPYING ChangeLog plugins/freeverb/readme.txt %docdir


%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_libdir/%name
%_datadir/%name
%_menudir/%name
%_iconsdir/%name.xpm
%_iconsdir/*/%name.xpm
#
%doc %_docdir/%name-%version

%changelog
* Thu Sep 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.3.pre2
- rebuild broken package.

* Fri Sep 20 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.0-alt0.2.pre2
- rebuild against new build of libsndfile

* Tue Sep 17 2002 Sergey V Turchin <zerg@altlinux.ru> 0.6.0-alt0.1.pre2
- new version
- built with gcc3.2

* Mon Jan 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.4.14-alt4
- cleanups

* Sun Dec 2 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.4.14-alt3
- Compilation givertcap utility removed, we have separate givertcap
  package now.

* Mon Nov 26 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.4.14-alt2
- Rebuild with Patch3 by Stanislav Ievlev <inger@altlinux.ru>

* Wed Nov 21 2001 Yuri N. Sedunov <aris@altlinux.ru> 0.4.14-alt1
- First build for Sisyphus. Current musE version is 0.4.16, but
  it requires qt3.
